com.amazonaws.services.elastictranscoder.model

## Class Permission

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.Permission

All Implemented Interfaces:
  Serializable, Cloneable

    public class Permission
    extends Object
    implements Serializable, Cloneable

The `Permission` structure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Permission()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Permission` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getAccess()` The permission that you want to give to the AWS user that is listed in Grantee.
`String` `getGrantee()` The AWS user or group that you want to have access to transcoded files and playlists.
`String` `getGranteeType()` The type of value that appears in the Grantee object:
`int` `hashCode()`
`void` `setAccess(Collection<String> access)` The permission that you want to give to the AWS user that is listed in Grantee.
`void` `setGrantee(String grantee)` The AWS user or group that you want to have access to transcoded files and playlists.
`void` `setGranteeType(String granteeType)` The type of value that appears in the Grantee object:
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Permission` `withAccess(Collection<String> access)` The permission that you want to give to the AWS user that is listed in Grantee.
`Permission` `withAccess(String... access)` The permission that you want to give to the AWS user that is listed in Grantee.
`Permission` `withGrantee(String grantee)` The AWS user or group that you want to have access to transcoded files and playlists.
`Permission` `withGranteeType(String granteeType)` The type of value that appears in the Grantee object:

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Permission

    public Permission()

### Method Detail

#### setGranteeType

    public void setGranteeType(String granteeType)

The type of value that appears in the Grantee object:

- `Canonical`: Either the canonical user ID for an AWS account or an origin access identity for an Amazon CloudFront distribution.

  <important>

  A canonical user ID is not the same as an AWS account number.

  </important>

- `Email`: The registered email address of an AWS account.

- `Group`: One of the following predefined Amazon S3 groups: `AllUsers`, `AuthenticatedUsers`, or `LogDelivery`.

Parameters:
  `granteeType` - The type of value that appears in the Grantee object:

  - `Canonical`: Either the canonical user ID for an AWS account or an origin access identity for an Amazon CloudFront distribution.

    <important>

    A canonical user ID is not the same as an AWS account number.

    </important>

  - `Email`: The registered email address of an AWS account.

  - `Group`: One of the following predefined Amazon S3 groups: `AllUsers`, `AuthenticatedUsers`, or `LogDelivery`.

#### getGranteeType

    public String getGranteeType()

The type of value that appears in the Grantee object:

- `Canonical`: Either the canonical user ID for an AWS account or an origin access identity for an Amazon CloudFront distribution.

  <important>

  A canonical user ID is not the same as an AWS account number.

  </important>

- `Email`: The registered email address of an AWS account.

- `Group`: One of the following predefined Amazon S3 groups: `AllUsers`, `AuthenticatedUsers`, or `LogDelivery`.

Returns:
  The type of value that appears in the Grantee object:

  - `Canonical`: Either the canonical user ID for an AWS account or an origin access identity for an Amazon CloudFront distribution.

    <important>

    A canonical user ID is not the same as an AWS account number.

    </important>

  - `Email`: The registered email address of an AWS account.

  - `Group`: One of the following predefined Amazon S3 groups: `AllUsers`, `AuthenticatedUsers`, or `LogDelivery`.

#### withGranteeType

    public Permission withGranteeType(String granteeType)

The type of value that appears in the Grantee object:

- `Canonical`: Either the canonical user ID for an AWS account or an origin access identity for an Amazon CloudFront distribution.

  <important>

  A canonical user ID is not the same as an AWS account number.

  </important>

- `Email`: The registered email address of an AWS account.

- `Group`: One of the following predefined Amazon S3 groups: `AllUsers`, `AuthenticatedUsers`, or `LogDelivery`.

Parameters:
  `granteeType` - The type of value that appears in the Grantee object:

  - `Canonical`: Either the canonical user ID for an AWS account or an origin access identity for an Amazon CloudFront distribution.

    <important>

    A canonical user ID is not the same as an AWS account number.

    </important>

  - `Email`: The registered email address of an AWS account.

  - `Group`: One of the following predefined Amazon S3 groups: `AllUsers`, `AuthenticatedUsers`, or `LogDelivery`.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setGrantee

    public void setGrantee(String grantee)

The AWS user or group that you want to have access to transcoded files and playlists. To identify the user or group, you can specify the canonical user ID for an AWS account, an origin access identity for a CloudFront distribution, the registered email address of an AWS account, or a predefined Amazon S3 group.

Parameters:
  `grantee` - The AWS user or group that you want to have access to transcoded files and playlists. To identify the user or group, you can specify the canonical user ID for an AWS account, an origin access identity for a CloudFront distribution, the registered email address of an AWS account, or a predefined Amazon S3 group.

#### getGrantee

    public String getGrantee()

The AWS user or group that you want to have access to transcoded files and playlists. To identify the user or group, you can specify the canonical user ID for an AWS account, an origin access identity for a CloudFront distribution, the registered email address of an AWS account, or a predefined Amazon S3 group.

Returns:
  The AWS user or group that you want to have access to transcoded files and playlists. To identify the user or group, you can specify the canonical user ID for an AWS account, an origin access identity for a CloudFront distribution, the registered email address of an AWS account, or a predefined Amazon S3 group.

#### withGrantee

    public Permission withGrantee(String grantee)

The AWS user or group that you want to have access to transcoded files and playlists. To identify the user or group, you can specify the canonical user ID for an AWS account, an origin access identity for a CloudFront distribution, the registered email address of an AWS account, or a predefined Amazon S3 group.

Parameters:
  `grantee` - The AWS user or group that you want to have access to transcoded files and playlists. To identify the user or group, you can specify the canonical user ID for an AWS account, an origin access identity for a CloudFront distribution, the registered email address of an AWS account, or a predefined Amazon S3 group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getAccess

    public List<String> getAccess()

The permission that you want to give to the AWS user that is listed in Grantee. Valid values include:

- `READ`: The grantee can read the thumbnails and metadata for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

- `READ_ACP`: The grantee can read the object ACL for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

- `WRITE_ACP`: The grantee can write the ACL for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

- `FULL_CONTROL`: The grantee has READ, READ_ACP, and WRITE_ACP permissions for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

Returns:
  The permission that you want to give to the AWS user that is listed in Grantee. Valid values include:

  - `READ`: The grantee can read the thumbnails and metadata for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

  - `READ_ACP`: The grantee can read the object ACL for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

  - `WRITE_ACP`: The grantee can write the ACL for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

  - `FULL_CONTROL`: The grantee has READ, READ_ACP, and WRITE_ACP permissions for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

#### setAccess

    public void setAccess(Collection<String> access)

The permission that you want to give to the AWS user that is listed in Grantee. Valid values include:

- `READ`: The grantee can read the thumbnails and metadata for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

- `READ_ACP`: The grantee can read the object ACL for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

- `WRITE_ACP`: The grantee can write the ACL for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

- `FULL_CONTROL`: The grantee has READ, READ_ACP, and WRITE_ACP permissions for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

Parameters:
  `access` - The permission that you want to give to the AWS user that is listed in Grantee. Valid values include:

  - `READ`: The grantee can read the thumbnails and metadata for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

  - `READ_ACP`: The grantee can read the object ACL for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

  - `WRITE_ACP`: The grantee can write the ACL for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

  - `FULL_CONTROL`: The grantee has READ, READ_ACP, and WRITE_ACP permissions for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

#### withAccess

    public Permission withAccess(String... access)

The permission that you want to give to the AWS user that is listed in Grantee. Valid values include:

- `READ`: The grantee can read the thumbnails and metadata for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

- `READ_ACP`: The grantee can read the object ACL for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

- `WRITE_ACP`: The grantee can write the ACL for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

- `FULL_CONTROL`: The grantee has READ, READ_ACP, and WRITE_ACP permissions for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

NOTE: This method appends the values to the existing list (if any). Use `setAccess(java.util.Collection)` or `withAccess(java.util.Collection)` if you want to override the existing values.

Parameters:
  `access` - The permission that you want to give to the AWS user that is listed in Grantee. Valid values include:

  - `READ`: The grantee can read the thumbnails and metadata for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

  - `READ_ACP`: The grantee can read the object ACL for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

  - `WRITE_ACP`: The grantee can write the ACL for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

  - `FULL_CONTROL`: The grantee has READ, READ_ACP, and WRITE_ACP permissions for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withAccess

    public Permission withAccess(Collection<String> access)

The permission that you want to give to the AWS user that is listed in Grantee. Valid values include:

- `READ`: The grantee can read the thumbnails and metadata for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

- `READ_ACP`: The grantee can read the object ACL for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

- `WRITE_ACP`: The grantee can write the ACL for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

- `FULL_CONTROL`: The grantee has READ, READ_ACP, and WRITE_ACP permissions for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

Parameters:
  `access` - The permission that you want to give to the AWS user that is listed in Grantee. Valid values include:

  - `READ`: The grantee can read the thumbnails and metadata for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

  - `READ_ACP`: The grantee can read the object ACL for thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

  - `WRITE_ACP`: The grantee can write the ACL for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

  - `FULL_CONTROL`: The grantee has READ, READ_ACP, and WRITE_ACP permissions for the thumbnails that Elastic Transcoder adds to the Amazon S3 bucket.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Permission clone()

Overrides:
  `clone` in class `Object`